classdef CHARISicpEventResult

    properties
        % ID for each patient
        patientID 
        
        % Event criteria of search
        criteria
        
        % Events
        eventTimes % Absolute times(seconds)
        eventAttributes %attributes of each event
        
    end
    methods
        function obj = CHARISicpEventResult(patientID,criteria,eventTimes,eventAttributes)
            if ~isa(patientID,'char')
                error('only char values allowed for patientID')
            elseif ~isa(criteria,'struct')
                error('only struct values allowed for criteria')
            elseif ~isa(eventTimes,'double')
                error('only double values allowed for eventTimes')
            elseif ~isa(eventAttributes,'struct')
                error('only struct values allowed for eventAttributes')
            else
                obj.patientID = patientID;
                obj.criteria = criteria;
                obj.eventTimes = round(eventTimes.*100)./100;
                obj.eventAttributes = eventAttributes;
            end
        end
    end
end

